Bug 129024 - RFE: Better error messages needed when bringing up PPP link
RFE: Better error messages needed when bringing up PPP link
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-02 23:33 EDT by W. Michael Petullo
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-13 06:34:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2004-08-02 23:33:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.7)
Gecko/20040625 Epiphany/1.2.6

Description of problem:
The system-config-network tool gives very vague messages when an error
occurs while activating a PPP link.



Version-Release number of selected component (if applicable):
system-config-network-1.3.17-2

How reproducible:
Always

Steps to Reproduce:
Try to bring up a PPP link using the system-config-network GUI tool. 
Cause the activation to fail.

Actual Results:  The error message printed is very vague.  Here is an
example of an error message:

Cannot activate network device SBC_Northbrook!
Failed to activate SBC_Northbrook with error 7

Expected Results:  Instead of displaying a pppd exit code, the
corresponding error message should be displayed.  For example, the
pppd man page says that exit code 7 means, "The serial port could not
be opened."

Additional info:

Note You need to log in before you can comment on or make changes to this bug.